<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for accessControlGroupName StructType
 * @subpackage Structs
 */
class AccessControlGroupName extends AbstractStructBase
{
    /**
     * The accessControlGroup
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $accessControlGroup;
    /**
     * Constructor method for accessControlGroupName
     * @uses AccessControlGroupName::setAccessControlGroup()
     * @param string $accessControlGroup
     */
    public function __construct($accessControlGroup = null)
    {
        $this
            ->setAccessControlGroup($accessControlGroup);
    }
    /**
     * Get accessControlGroup value
     * @return string|null
     */
    public function getAccessControlGroup()
    {
        return $this->accessControlGroup;
    }
    /**
     * Set accessControlGroup value
     * @param string $accessControlGroup
     * @return AccessControlGroupName
     */
    public function setAccessControlGroup($accessControlGroup = null)
    {
        // validation for constraint: string
        if (!is_null($accessControlGroup) && !is_string($accessControlGroup)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($accessControlGroup)), __LINE__);
        }
        $this->accessControlGroup = $accessControlGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AccessControlGroupName
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
